This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Show Launch Configuration

1 - 1.3

get /v1/launch-configurations/{launch_configuration_id}

Description

Show Launch Configuration.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathlaunch_configuration_id
required
Launch Configuration ID
Example : b5aea5a675fc4f6b9e0fcd1288354c5f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLaunchConfigurationDetailShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations/{launch_configuration_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "file_storage_ids": [
        ""
    ],
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "max_iops": 10000,
            "max_throughput": 500,
            "size": 104,
            "type": "SSD"
        }
    ]
}

2 - 1.2

get /v1/launch-configurations/{launch_configuration_id}

Description

Show Launch Configuration.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220260831

Parameters

TypeNameDescriptionSchemaDefault
pathlaunch_configuration_id
required
Launch Configuration ID
Example : b5aea5a675fc4f6b9e0fcd1288354c5f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLaunchConfigurationDetailShowResponseV1Dot2
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations/{launch_configuration_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "file_storage_ids": [
        ""
    ],
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "max_iops": 10000,
            "max_throughput": 500,
            "size": 104,
            "type": "SSD"
        }
    ]
}

3 - 1.1

get /v1/launch-configurations/{launch_configuration_id}

Description

Show Launch Configuration.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathlaunch_configuration_id
required
Launch Configuration ID
Example : b5aea5a675fc4f6b9e0fcd1288354c5f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLaunchConfigurationDetailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations/{launch_configuration_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

4 - 1.0

get /v1/launch-configurations/{launch_configuration_id}

Description

Show Launch Configuration.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathlaunch_configuration_id
required
Launch Configuration ID
Example : b5aea5a675fc4f6b9e0fcd1288354c5f
stringNone

Responses

HTTP CodeDescriptionSchema
200OKLaunchConfigurationDetailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations/{launch_configuration_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "ssh-rsa fakeKey Generated-by-SCP",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}